com.fasterxml.jackson.dataformat.yaml

## Class YAMLMapper

- java.lang.Object
- - com.fasterxml.jackson.core.TreeCodec
  - - com.fasterxml.jackson.core.ObjectCodec
    - - com.fasterxml.jackson.databind.ObjectMapper
      - - com.fasterxml.jackson.dataformat.yaml.YAMLMapper

- All Implemented Interfaces:
    com.fasterxml.jackson.core.Versioned, Serializable

      public class YAMLMapper
      extends com.fasterxml.jackson.databind.ObjectMapper

  Convenience version of `ObjectMapper` which is configured with `YAMLFactory`.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.ObjectMapper

      `com.fasterxml.jackson.databind.ObjectMapper.DefaultTypeResolverBuilder, com.fasterxml.jackson.databind.ObjectMapper.DefaultTyping`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.ObjectMapper

      `_configOverrides, _deserializationConfig, _deserializationContext, _injectableValues, _jsonFactory, _mixIns, _registeredModuleTypes, _rootDeserializers, _serializationConfig, _serializerFactory, _serializerProvider, _subtypeResolver, _typeFactory, DEFAULT_ANNOTATION_INTROSPECTOR, DEFAULT_BASE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `YAMLMapper()`
    `YAMLMapper(YAMLFactory f)`
    `YAMLMapper(YAMLMapper base)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `YAMLMapper` | `configure(YAMLGenerator.Feature f, boolean state)`
    `YAMLMapper` | `configure(YAMLParser.Feature f, boolean state)`
    `YAMLMapper` | `copy()`
    `YAMLMapper` | `disable(YAMLGenerator.Feature f)`
    `YAMLMapper` | `disable(YAMLParser.Feature f)`
    `YAMLMapper` | `enable(YAMLGenerator.Feature f)`
    `YAMLMapper` | `enable(YAMLParser.Feature f)`
    `YAMLFactory` | `getFactory()` Overridden with more specific type, since factory we have is always of type `YAMLFactory`

    - ### Methods inherited from class com.fasterxml.jackson.databind.ObjectMapper

      `_checkInvalidCopy, _configAndWriteValue, _convert, _findRootDeserializer, _initForReading, _initForReading, _newReader, _newReader, _newWriter, _newWriter, _newWriter, _readMapAndClose, _readTreeAndClose, _readValue, _serializerProvider, _unwrapAndDeserialize, _verifyNoTrailingTokens, _verifySchemaType, acceptJsonFormatVisitor, acceptJsonFormatVisitor, addHandler, addMixIn, addMixInAnnotations, canDeserialize, canDeserialize, canSerialize, canSerialize, clearProblemHandlers, configOverride, configure, configure, configure, configure, configure, constructType, convertValue, convertValue, convertValue, createArrayNode, createDeserializationContext, createObjectNode, defaultClassIntrospector, disable, disable, disable, disable, disable, disable, disable, disableDefaultTyping, enable, enable, enable, enable, enable, enable, enable, enableDefaultTyping, enableDefaultTyping, enableDefaultTyping, enableDefaultTypingAsProperty, findAndRegisterModules, findMixInClassFor, findModules, findModules, generateJsonSchema, getDateFormat, getDeserializationConfig, getDeserializationContext, getInjectableValues, getJsonFactory, getNodeFactory, getPropertyNamingStrategy, getSerializationConfig, getSerializerFactory, getSerializerProvider, getSerializerProviderInstance, getSubtypeResolver, getTypeFactory, getVisibilityChecker, isEnabled, isEnabled, isEnabled, isEnabled, isEnabled, isEnabled, mixInCount, reader, reader, reader, reader, reader, reader, reader, reader, reader, reader, reader, readerFor, readerFor, readerFor, readerForUpdating, readerWithView, readTree, readTree, readTree, readTree, readTree, readTree, readTree, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValues, readValues, readValues, readValues, registerModule, registerModules, registerModules, registerSubtypes, registerSubtypes, registerSubtypes, setAnnotationIntrospector, setAnnotationIntrospectors, setBase64Variant, setConfig, setConfig, setDateFormat, setDefaultMergeable, setDefaultPrettyPrinter, setDefaultPropertyInclusion, setDefaultPropertyInclusion, setDefaultSetterInfo, setDefaultTyping, setDefaultVisibility, setFilterProvider, setFilters, setHandlerInstantiator, setInjectableValues, setLocale, setMixInAnnotations, setMixInResolver, setMixIns, setNodeFactory, setPropertyInclusion, setPropertyNamingStrategy, setSerializationInclusion, setSerializerFactory, setSerializerProvider, setSubtypeResolver, setTimeZone, setTypeFactory, setVisibility, setVisibility, setVisibilityChecker, treeAsTokens, treeToValue, updateValue, valueToTree, version, writer, writer, writer, writer, writer, writer, writer, writer, writer, writer, writerFor, writerFor, writerFor, writerWithDefaultPrettyPrinter, writerWithType, writerWithType, writerWithType, writerWithView, writeTree, writeTree, writeValue, writeValue, writeValue, writeValue, writeValue, writeValueAsBytes, writeValueAsString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### YAMLMapper

          public YAMLMapper()

    - #### YAMLMapper

          public YAMLMapper(YAMLFactory f)

    - #### YAMLMapper

          public YAMLMapper(YAMLMapper base)

      Since:
        2.5

  - ### Method Detail

    - #### copy

          public YAMLMapper copy()

      Overrides:
        `copy` in class `com.fasterxml.jackson.databind.ObjectMapper`
      Since:
        2.5

    - #### configure

          public YAMLMapper configure(YAMLGenerator.Feature f,
                             boolean state)

    - #### configure

          public YAMLMapper configure(YAMLParser.Feature f,
                             boolean state)

    - #### enable

          public YAMLMapper enable(YAMLGenerator.Feature f)

    - #### enable

          public YAMLMapper enable(YAMLParser.Feature f)

    - #### disable

          public YAMLMapper disable(YAMLGenerator.Feature f)

    - #### disable

          public YAMLMapper disable(YAMLParser.Feature f)

    - #### getFactory

          public final YAMLFactory getFactory()

      Overridden with more specific type, since factory we have is always of type `YAMLFactory`
      Overrides:
        `getFactory` in class `com.fasterxml.jackson.databind.ObjectMapper`

Copyright © 2017 FasterXML. All rights reserved.